XmVaCreatePushButton(3)

NAME
XmVaCreatePushButton, XmVaCreateManagedPushButton — A PushButton widget convenience creation functions.

SYNOPSIS

#include <Xm/PushB.h>

Widget XmVaCreatePushButton(
Widget parent,
String name,
...);

Widget XmVaCreateManagedPushButton(
Widget parent,
String name,
...);

DESCRIPTION

These functions create an instance of a ToggleButtonGadget widget and returns the associated widget ID. These routines use the ANSI C variable-length argument list (varargs) calling convention.

The XmVaCreatePushButton function is a convenience routine that calls XtCreateWidget.

The XmVaCreatePushButton function is a convenience routine that calls XtCreateManagedWidget.

parent
    Specifies the parent widget ID.

name
    Specifies the name of the created widget.

... Specifies the variable argument list to override the resource defaults.

For a complete definition of PushButton and its associated resources, see XmPushButton(3).

RETURN

Returns the PushButton widget ID.

RELATED

XmPushButton(3), XmCreatePushButton(3), XtCreateWidget(3), and XtCreateManagedWidget(3).